namespace EnPalermo.Lit
{
    /// <summary>
    /// Contiene constantes de cadena.
    /// </summary>
    public static class ImgLiterals
    {

        /// <summary>
        /// Error: Si el ancho es cero, el alto tambin debe ser cero!
        /// </summary>
        public static readonly string HEIGHT_NO_CERO="Error: Si el ancho es cero, el alto tambin debe ser cero!";

        /// <summary>
        /// Error: El alto es negativo o siendo el alto cero, el ancho es mayor a cero!
        /// </summary>
        public static readonly string HEIGHT_MINOR_ONE="Error: El alto es negativo o siendo el alto cero, el ancho es mayor a cero!";

        /// <summary>
        /// Error: El Stride debe ser igual o mayor al ancho!
        /// </summary>
        public static readonly string STRIDE_MINOR_WIDTH="Error: El Stride debe ser igual o mayor al ancho!";

        /// <summary>
        /// Error: El formato de pxeles del bitmap destino es diferente al del bitmap origen!
        /// </summary>
        public static readonly string PF_DEST_NO_EQUAL="Error: El formato de pxeles del bitmap destino es diferente al del bitmap origen!";

        /// <summary>
        /// Error: El formato de pxeles debe ser de 32 bits!
        /// </summary>
        public static readonly string PF_NO_32BITS="Error: El formato de pxeles debe ser de 32 bits!";

        /// <summary>
        /// Error: El formato de pxeles debe ser de Argb de 32 bits!
        /// </summary>
        public static readonly string PF_NO_ARGB32="Error: El formato de pxeles debe ser de Argb de 32 bits!";

        /// <summary>
        /// Error: El ancho es demasiado pequeo!
        /// </summary>
        public static readonly string WIDTH_SMALL="Error: El ancho es demasiado pequeo!";
        
        /// <summary>
        /// Error: El alto es demasiado pequeo!
        /// </summary>
        public static readonly string HEIGHT_SMALL="Error: El alto es demasiado pequeo!";

        /// <summary>
        /// Error: Las unidades de medida no son iguales!
        /// </summary>
        public static readonly string UNITS_NO_EQUAL="Error: Las unidades de medida no son iguales!";
 
        /// <summary>
        /// Arial
        /// </summary>
        public static readonly string ARIAL="Arial";

        /// <summary>
        /// Courier New
        /// </summary>
        public static readonly string COURIER_NEW="Courier New";

        /// <summary>
        /// Microsoft Sans Serif
        /// </summary>
        public static readonly string MICROSOFT_SANS_SERIF="Microsoft Sans Serif";

    }
}
