namespace EnPalermo.Lit
{
	/// <summary>
	/// Contiene constantes literales variadas.
	/// </summary>
    public static class Others
    {

        #region CodePage

        /// <summary>
        /// Cdigo de Pgina Invlida
        /// </summary>
        internal static readonly string CP_INVALID="Cdigo de Pgina Invlida";

        /// <summary>
        /// 1252  (ANSI - Latn I)
        /// </summary>
        internal static readonly string CP_LATIN1_ANSI="1252  (ANSI - Latn I)";


        /// <summary>
        /// 20127 (EE.UU. - ASCII)
        /// </summary>
        internal static readonly string CP_USA_ASCII="20127 (EE.UU. - ASCII)";

        #endregion

        #region Constantes varias

        /// <summary>
        /// "\"
        /// </summary>
        public static readonly string DirectorySlash="\\";


        /// <summary>
        /// Cadena vacia ("").
        /// </summary>
        public static readonly string Empty="";



        #endregion
    }
}
