using System;
using System.Runtime.InteropServices;

namespace EnPalermo.Sys
{
    /// <summary>
    /// Representa un SystemTime.
    /// </summary>
    [StructLayout(LayoutKind.Sequential)]
    public struct SystemTime
    {
        /// <summary>
        /// SystemTime Cero.
        /// </summary>
        public static readonly SystemTime Zero=new SystemTime();


        /// <summary>
        /// Ao.
        /// </summary>
        public ushort Year;
        /// <summary>
        /// Mes.
        /// </summary>
        public ushort Month;
        /// <summary>
        /// Da de Semana.
        /// </summary>
        public ushort DayOfWeek;
        /// <summary>
        /// Da.
        /// </summary>
        public ushort Day;
        /// <summary>
        /// Hora.
        /// </summary>
        public ushort Hour;
        /// <summary>
        /// Minuto.
        /// </summary>
        public ushort Minute;
        /// <summary>
        /// Segundo.
        /// </summary>
        public ushort Second;
        /// <summary>
        /// Milisegundo.
        /// </summary>
        public ushort Milisecond;

	}
}
